Graphviz

ソフトウェアスイートGraphviz

 状態:試行錯誤中  閲覧数:1,103  投稿日:2014-09-23  更新日:2014-09-23
Linux
Stable and development rpms for Redhat Enterprise, or Centos systems

事前にインストールされるものを確認
$ yum list available 'graphviz*'
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: ftp.iij.ad.jp
* epel: ftp.iij.ad.jp
* extras: ftp.iij.ad.jp
* rpmforge: mirror.fairway.ne.jp
* updates: ftp.iij.ad.jp
Available Packages
graphviz.i686                                                     2.26.0-10.el6                                            base
graphviz.x86_64                                                   2.26.0-10.el6                                            base
graphviz-devel.i686                                               2.26.0-10.el6                                            base
graphviz-devel.x86_64                                             2.26.0-10.el6                                            base
graphviz-doc.x86_64                                               2.26.0-10.el6                                            base
graphviz-gd.i686                                                  2.26.0-10.el6                                            base
graphviz-gd.x86_64                                                2.26.0-10.el6                                            base
graphviz-graphs.x86_64                                            2.26.0-10.el6                                            base
graphviz-guile.x86_64                                             2.26.0-10.el6                                            base
graphviz-java.x86_64                                              2.26.0-10.el6                                            base
graphviz-lua.x86_64                                               2.26.0-10.el6                                            base
graphviz-perl.x86_64                                              2.26.0-10.el6                                            base
graphviz-php.x86_64                                               2.26.0-10.el6                                            base
graphviz-python.x86_64                                            2.26.0-10.el6                                            base
graphviz-ruby.x86_64                                              2.26.0-10.el6                                            base
graphviz-tcl.x86_64                                               2.26.0-10.el6                                            base


・予想よりバージョンが低い
・リポジトリ追加することを決定

リポジトリ追加

 閲覧数:394 投稿日:2014-09-23 更新日:2014-09-23 
$ cd /etc/yum.repos.d/
$ ls -la
合計 60
drwxr-xr-x.  2 root root 4096  9月  2 10:47 2014 .
drwxr-xr-x. 87 root root 4096  9月 18 13:13 2014 ..
-rw-r--r--   1 root root  117  4月  5 19:26 2013 10gen.repo
-rw-r--r--   1 root root 1926 12月  1 09:07 2013 CentOS-Base.repo
-rw-r--r--   1 root root  638 12月  1 09:07 2013 CentOS-Debuginfo.repo
-rw-r--r--   1 root root  630 12月  1 09:07 2013 CentOS-Media.repo
-rw-r--r--   1 root root 4528 12月  1 09:07 2013 CentOS-Vault.repo
-rw-r--r--   1 root root 1056 11月  5 12:52 2012 epel-testing.repo
-rw-r--r--   1 root root  957 11月  5 12:52 2012 epel.repo
-rw-r--r--   1 root root  739 11月 13 12:55 2010 mirrors-rpmforge
-rw-r--r--   1 root root  717 11月 13 12:55 2010 mirrors-rpmforge-extras
-rw-r--r--   1 root root  728 11月 13 12:55 2010 mirrors-rpmforge-testing
-rw-r--r--   1 root root 2298  3月  1 19:47 2014 remi.repo
-rw-r--r--   1 root root 1113 11月 13 12:55 2010 rpmforge.repo


$ wget http://www.graphviz.org/graphviz-rhel.repo
--2014-09-23 19:38:14--  http://www.graphviz.org/graphviz-rhel.repo
www.graphviz.org をDNSに問いあわせています... 204.178.9.49
www.graphviz.org|204.178.9.49|:80 に接続しています... 接続しました。
HTTP による接続要求を送信しました、応答を待っています... 200 OK
長さ: 1138 (1.1K) [text/plain]
graphviz-rhel.repo: 許可がありません

`graphviz-rhel.repo' へ書き込めません(許可がありません)。


$ sudo -s
# wget http://www.graphviz.org/graphviz-rhel.repo
--2014-09-23 19:38:46--  http://www.graphviz.org/graphviz-rhel.repo
www.graphviz.org をDNSに問いあわせています... 204.178.9.49
www.graphviz.org|204.178.9.49|:80 に接続しています... 接続しました。
HTTP による接続要求を送信しました、応答を待っています... 200 OK
長さ: 1138 (1.1K) [text/plain]
`graphviz-rhel.repo' に保存中

100%[=====================================================================================>] 1,138       --.-K/s 時間 0s      

2014-09-23 19:38:47 (141 MB/s) - `graphviz-rhel.repo' へ保存完了 [1138/1138]


# ls -la
合計 64
drwxr-xr-x.  2 root root 4096  9月 23 19:38 2014 .
drwxr-xr-x. 87 root root 4096  9月 18 13:13 2014 ..
-rw-r--r--   1 root root  117  4月  5 19:26 2013 10gen.repo
-rw-r--r--   1 root root 1926 12月  1 09:07 2013 CentOS-Base.repo
-rw-r--r--   1 root root  638 12月  1 09:07 2013 CentOS-Debuginfo.repo
-rw-r--r--   1 root root  630 12月  1 09:07 2013 CentOS-Media.repo
-rw-r--r--   1 root root 4528 12月  1 09:07 2013 CentOS-Vault.repo
-rw-r--r--   1 root root 1056 11月  5 12:52 2012 epel-testing.repo
-rw-r--r--   1 root root  957 11月  5 12:52 2012 epel.repo
-rw-r--r--   1 root root 1138  2月 17 01:23 2012 graphviz-rhel.repo
-rw-r--r--   1 root root  739 11月 13 12:55 2010 mirrors-rpmforge
-rw-r--r--   1 root root  717 11月 13 12:55 2010 mirrors-rpmforge-extras
-rw-r--r--   1 root root  728 11月 13 12:55 2010 mirrors-rpmforge-testing
-rw-r--r--   1 root root 2298  3月  1 19:47 2014 remi.repo
-rw-r--r--   1 root root 1113 11月 13 12:55 2010 rpmforge.repo


事前にインストールされるものを再度確認
# yum list available 'graphviz*'
Loaded plugins: fastestmirror, security
Determining fastest mirrors
epel/metalink                                                                                           | 6.0 kB     00:00    
* base: ftp.iij.ad.jp
* epel: ftp.iij.ad.jp
* extras: ftp.iij.ad.jp
* rpmforge: mirror.fairway.ne.jp
* updates: ftp.iij.ad.jp
10gen                                                                                                   |  951 B     00:00    
10gen/primary                                                                                           |  35 kB     00:00    
10gen                                                                                                                  223/223
base                                                                                                    | 3.7 kB     00:00    
epel                                                                                                    | 4.4 kB     00:00    
epel/primary_db                                                                                         | 6.3 MB     00:00    
extras                                                                                                  | 3.3 kB     00:00    
extras/primary_db                                                                                       |  19 kB     00:00    
graphviz-stable                                                                                         |  951 B     00:00    
graphviz-stable/primary                                                                                 |  28 kB     00:00    
graphviz-stable                                                                                                        136/136
rpmforge                                                                                                | 1.9 kB     00:00    
updates                                                                                                 | 3.4 kB     00:00    
updates/primary_db                                                                                      | 5.3 MB     00:00    
Available Packages
graphviz.i686                                                  2.26.0-10.el6                                    base          
graphviz.x86_64                                                2.38.0-1.el6                                     graphviz-stable
graphviz-devel.i686                                            2.26.0-10.el6                                    base          
graphviz-devel.x86_64                                          2.38.0-1.el6                                     graphviz-stable
graphviz-doc.x86_64                                            2.34.0-1.el6                                     graphviz-stable
graphviz-doc.noarch                                            2.38.0-1.el6                                     graphviz-stable
graphviz-gd.i686                                               2.26.0-10.el6                                    base          
graphviz-gd.x86_64                                             2.38.0-1.el6                                     graphviz-stable
graphviz-graphs.x86_64                                         2.34.0-1.el6                                     graphviz-stable
graphviz-graphs.noarch                                         2.38.0-1.el6                                     graphviz-stable
graphviz-guile.x86_64                                          2.34.0-1.el6                                     graphviz-stable
graphviz-java.x86_64                                           2.34.0-1.el6                                     graphviz-stable
graphviz-lang-guile.x86_64                                     2.38.0-1.el6                                     graphviz-stable
graphviz-lang-java.x86_64                                      2.38.0-1.el6                                     graphviz-stable
graphviz-lang-lua.x86_64                                       2.38.0-1.el6                                     graphviz-stable
graphviz-lang-ocaml.x86_64                                     2.38.0-1.el6                                     graphviz-stable
graphviz-lang-perl.x86_64                                      2.38.0-1.el6                                     graphviz-stable
graphviz-lang-php.x86_64                                       2.38.0-1.el6                                     graphviz-stable
graphviz-lang-python.x86_64                                    2.38.0-1.el6                                     graphviz-stable
graphviz-lang-ruby.x86_64                                      2.38.0-1.el6                                     graphviz-stable
graphviz-lang-tcl.x86_64                                       2.38.0-1.el6                                     graphviz-stable
graphviz-libs.x86_64                                           2.38.0-1.el6                                     graphviz-stable
graphviz-lua.x86_64                                            2.34.0-1.el6                                     graphviz-stable
graphviz-ocaml.x86_64                                          2.34.0-1.el6                                     graphviz-stable
graphviz-perl.x86_64                                           2.34.0-1.el6                                     graphviz-stable
graphviz-php.x86_64                                            2.34.0-1.el6                                     graphviz-stable
graphviz-plugins-core.x86_64                                   2.38.0-1.el6                                     graphviz-stable
graphviz-plugins-gd.x86_64                                     2.38.0-1.el6                                     graphviz-stable
graphviz-plugins-x.x86_64                                      2.38.0-1.el6                                     graphviz-stable
graphviz-python.x86_64                                         2.34.0-1.el6                                     graphviz-stable
graphviz-qt.x86_64                                             2.38.0-1.el6                                     graphviz-stable
graphviz-ruby.x86_64                                           2.34.0-1.el6                                     graphviz-stable
graphviz-tcl.x86_64                                            2.34.0-1.el6                                     graphviz-stable
graphviz-x.x86_64                                              2.38.0-1.el6                                     graphviz-stable


イントール

 閲覧数:362 投稿日:2014-09-23 更新日:2014-09-23 
# yum list available 'graphviz*'
Loaded plugins: fastestmirror, security
Determining fastest mirrors
epel/metalink | 6.0 kB 00:00
* base: ftp.iij.ad.jp
* epel: ftp.iij.ad.jp
* extras: ftp.iij.ad.jp
* rpmforge: mirror.fairway.ne.jp
* updates: ftp.iij.ad.jp
10gen | 951 B 00:00
10gen/primary | 35 kB 00:00
10gen 223/223
base | 3.7 kB 00:00
epel | 4.4 kB 00:00
epel/primary_db | 6.3 MB 00:00
extras | 3.3 kB 00:00
extras/primary_db | 19 kB 00:00
graphviz-stable | 951 B 00:00
graphviz-stable/primary | 28 kB 00:00
graphviz-stable 136/136
rpmforge | 1.9 kB 00:00
updates | 3.4 kB 00:00
updates/primary_db | 5.3 MB 00:00
Available Packages
graphviz.i686 2.26.0-10.el6 base
graphviz.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-devel.i686 2.26.0-10.el6 base
graphviz-devel.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-doc.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-doc.noarch 2.38.0-1.el6 graphviz-stable
graphviz-gd.i686 2.26.0-10.el6 base
graphviz-gd.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-graphs.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-graphs.noarch 2.38.0-1.el6 graphviz-stable
graphviz-guile.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-java.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-lang-guile.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-java.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-lua.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-ocaml.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-perl.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-php.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-python.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-ruby.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lang-tcl.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-libs.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-lua.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-ocaml.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-perl.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-php.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-plugins-core.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-plugins-gd.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-plugins-x.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-python.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-qt.x86_64 2.38.0-1.el6 graphviz-stable
graphviz-ruby.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-tcl.x86_64 2.34.0-1.el6 graphviz-stable
graphviz-x.x86_64 2.38.0-1.el6 graphviz-stable
[root@www29330ue yum.repos.d]# yum install 'graphviz*'
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: ftp.iij.ad.jp
* epel: ftp.iij.ad.jp
* extras: ftp.iij.ad.jp
* rpmforge: mirror.fairway.ne.jp
* updates: ftp.iij.ad.jp
Setting up Install Process
Package graphviz-tcl is obsoleted by graphviz-lang-tcl, trying to install graphviz-lang-tcl-2.38.0-1.el6.x86_64 instead
Package graphviz-ruby is obsoleted by graphviz-lang-ruby, trying to install graphviz-lang-ruby-2.38.0-1.el6.x86_64 instead
Package graphviz-php is obsoleted by graphviz-lang-php, trying to install graphviz-lang-php-2.38.0-1.el6.x86_64 instead
Package graphviz-lua is obsoleted by graphviz-lang-lua, trying to install graphviz-lang-lua-2.38.0-1.el6.x86_64 instead
Package graphviz-perl is obsoleted by graphviz-lang-perl, trying to install graphviz-lang-perl-2.38.0-1.el6.x86_64 instead
Package graphviz-guile is obsoleted by graphviz-lang-guile, trying to install graphviz-lang-guile-2.38.0-1.el6.x86_64 instead
Package graphviz-python is obsoleted by graphviz-lang-python, trying to install graphviz-lang-python-2.38.0-1.el6.x86_64 instead
Package graphviz-ocaml is obsoleted by graphviz-lang-ocaml, trying to install graphviz-lang-ocaml-2.38.0-1.el6.x86_64 instead
Package graphviz-java is obsoleted by graphviz-lang-java, trying to install graphviz-lang-java-2.38.0-1.el6.x86_64 instead
Resolving Dependencies
--> Running transaction check
---> Package graphviz.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: libgts-0.7.so.5()(64bit) for package: graphviz-2.38.0-1.el6.x86_64
--> Processing Dependency: libANN.so.1()(64bit) for package: graphviz-2.38.0-1.el6.x86_64
---> Package graphviz-devel.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-doc.noarch 0:2.38.0-1.el6 will be installed
---> Package graphviz-gd.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: libgd.so.2()(64bit) for package: graphviz-gd-2.38.0-1.el6.x86_64
---> Package graphviz-graphs.noarch 0:2.38.0-1.el6 will be installed
---> Package graphviz-lang-guile.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: guile for package: graphviz-lang-guile-2.38.0-1.el6.x86_64
--> Processing Dependency: libguile.so.17()(64bit) for package: graphviz-lang-guile-2.38.0-1.el6.x86_64
---> Package graphviz-lang-java.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: java for package: graphviz-lang-java-2.38.0-1.el6.x86_64
10gen/filelists | 8.3 kB 00:00
epel/filelists_db | 9.0 MB 00:00
extras/filelists_db | 11 kB 00:00
graphviz-stable/filelists | 28 kB 00:00
rpmforge/filelists_db | 2.1 MB 00:03
updates/filelists_db | 3.0 MB 00:00
---> Package graphviz-lang-lua.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-lang-ocaml.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: ocaml(Int32) = b2545c419b6b6a173cac4c0a3e7e0277 for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Gc) = bf884f8416bc19d4f57421e499a1aa8a for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(List) = a0e2e49d266ff302f8667651a43f71ba for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Pervasives) = 88cb1505c8bdf9a4dcd2cdf3452732b4 for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Callback) = 71e1f9b7f211661f1dfeedab5ffae0cc for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Obj) = 57b3fe2fcfe45ee25709b8ae556264d1 for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(runtime) = 3.11.2 for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Array) = 9c9fa5f11e2d6992c427dde4d1168489 for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Int64) = d501d6e89fdce41c79f274fb464995d5 for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml(Hashtbl) = ee2a3220e38a4350c5bc131ce9f3f6ce for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
--> Processing Dependency: ocaml for package: graphviz-lang-ocaml-2.38.0-1.el6.x86_64
---> Package graphviz-lang-perl.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-lang-php.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-lang-python.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-lang-ruby.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: /usr/bin/ruby for package: graphviz-lang-ruby-2.38.0-1.el6.x86_64
--> Processing Dependency: ruby for package: graphviz-lang-ruby-2.38.0-1.el6.x86_64
--> Processing Dependency: libruby.so.1.8()(64bit) for package: graphviz-lang-ruby-2.38.0-1.el6.x86_64
---> Package graphviz-lang-tcl.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: tcl >= 8.3 for package: graphviz-lang-tcl-2.38.0-1.el6.x86_64
--> Processing Dependency: tk for package: graphviz-lang-tcl-2.38.0-1.el6.x86_64
--> Processing Dependency: /usr/bin/tclsh for package: graphviz-lang-tcl-2.38.0-1.el6.x86_64
--> Processing Dependency: libtk8.5.so()(64bit) for package: graphviz-lang-tcl-2.38.0-1.el6.x86_64
---> Package graphviz-libs.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-plugins-core.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-plugins-gd.x86_64 0:2.38.0-1.el6 will be installed
---> Package graphviz-plugins-x.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: libpoppler-glib.so.4()(64bit) for package: graphviz-plugins-x-2.38.0-1.el6.x86_64
---> Package graphviz-qt.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: libQtGui.so.4()(64bit) for package: graphviz-qt-2.38.0-1.el6.x86_64
--> Processing Dependency: libQtCore.so.4()(64bit) for package: graphviz-qt-2.38.0-1.el6.x86_64
---> Package graphviz-x.x86_64 0:2.38.0-1.el6 will be installed
--> Processing Dependency: libGL.so.1()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libglut.so.3()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libglade-2.0.so.0()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libXaw.so.7()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libGLU.so.1()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libgdkglext-x11-1.0.so.0()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libgtkglext-x11-1.0.so.0()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Processing Dependency: libXmu.so.6()(64bit) for package: graphviz-x-2.38.0-1.el6.x86_64
--> Running transaction check
---> Package ann-libs.x86_64 0:1.1.1-4.el6 will be installed
---> Package freeglut.x86_64 0:2.6.0-1.el6 will be installed
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: freeglut-2.6.0-1.el6.x86_64
---> Package gd.x86_64 0:2.0.35-11.el6 will be installed
---> Package gtkglext-libs.x86_64 0:1.2.0-11.el6 will be installed
---> Package gts.x86_64 0:0.7.6-19.20111025.el6 will be installed
--> Processing Dependency: libnetpbm.so.10()(64bit) for package: gts-0.7.6-19.20111025.el6.x86_64
---> Package guile.x86_64 5:1.8.7-5.el6 will be installed
---> Package java-1.5.0-gcj.x86_64 0:1.5.0.0-29.1.el6 will be installed
--> Processing Dependency: jpackage-utils >= 1.7.3 for package: java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
--> Processing Dependency: sinjdoc for package: java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
---> Package libXaw.x86_64 0:1.0.11-2.el6 will be installed
---> Package libXmu.x86_64 0:1.1.1-2.el6 will be installed
---> Package libglade2.x86_64 0:2.6.4-3.1.el6 will be installed
--> Processing Dependency: xml-common for package: libglade2-2.6.4-3.1.el6.x86_64
---> Package mesa-libGL.x86_64 0:9.2-0.5.el6_5.2 will be installed
--> Processing Dependency: mesa-dri-drivers(x86-64) = 9.2-0.5.el6_5.2 for package: mesa-libGL-9.2-0.5.el6_5.2.x86_64
--> Processing Dependency: libglapi.so.0()(64bit) for package: mesa-libGL-9.2-0.5.el6_5.2.x86_64
---> Package mesa-libGLU.x86_64 0:9.2-0.5.el6_5.2 will be installed
---> Package ocaml.x86_64 0:3.11.2-2.el6 will be installed
--> Processing Dependency: ncurses-devel for package: ocaml-3.11.2-2.el6.x86_64
--> Processing Dependency: gdbm-devel for package: ocaml-3.11.2-2.el6.x86_64
---> Package ocaml-runtime.x86_64 0:3.11.2-2.el6 will be installed
---> Package poppler-glib.x86_64 0:0.12.4-3.el6_0.1 will be installed
--> Processing Dependency: poppler = 0.12.4-3.el6_0.1 for package: poppler-glib-0.12.4-3.el6_0.1.x86_64
--> Processing Dependency: libpoppler.so.5()(64bit) for package: poppler-glib-0.12.4-3.el6_0.1.x86_64
--> Processing Dependency: libopenjpeg.so.2()(64bit) for package: poppler-glib-0.12.4-3.el6_0.1.x86_64
---> Package qt.x86_64 1:4.6.2-28.el6_5 will be installed
---> Package qt-x11.x86_64 1:4.6.2-28.el6_5 will be installed
--> Processing Dependency: qt-sqlite(x86-64) = 1:4.6.2-28.el6_5 for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
--> Processing Dependency: phonon-backend(x86-64) >= 4.3 for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
--> Processing Dependency: libmng.so.1()(64bit) for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
--> Processing Dependency: libgstvideo-0.10.so.0()(64bit) for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
--> Processing Dependency: libgstreamer-0.10.so.0()(64bit) for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
--> Processing Dependency: libgstinterfaces-0.10.so.0()(64bit) for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
--> Processing Dependency: libgstbase-0.10.so.0()(64bit) for package: 1:qt-x11-4.6.2-28.el6_5.x86_64
---> Package ruby.x86_64 0:1.8.7.352-13.el6 will be installed
---> Package ruby-libs.x86_64 0:1.8.7.352-13.el6 will be installed
--> Processing Dependency: libreadline.so.5()(64bit) for package: ruby-libs-1.8.7.352-13.el6.x86_64
---> Package tcl.x86_64 1:8.5.7-6.el6 will be installed
---> Package tk.x86_64 1:8.5.7-5.el6 will be installed
--> Running transaction check
---> Package compat-readline5.x86_64 0:5.2-17.1.el6 will be installed
---> Package gdbm-devel.x86_64 0:1.8.0-36.el6 will be installed
---> Package gstreamer.x86_64 0:0.10.29-1.el6 will be installed
--> Processing Dependency: gstreamer-tools >= 0.10.29 for package: gstreamer-0.10.29-1.el6.x86_64
---> Package gstreamer-plugins-base.x86_64 0:0.10.29-2.el6 will be installed
--> Processing Dependency: liboil >= 0.3.12-9 for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libtheoraenc.so.1(libtheoraenc_1.0)(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libtheoradec.so.1(libtheoradec_1.0)(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: iso-codes for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libvorbisenc.so.2()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libvorbis.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libvisual-0.4.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libtheoraenc.so.1()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libtheoradec.so.1()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: liboil-0.3.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libogg.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libgudev-1.0.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libcdda_paranoia.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libcdda_interface.so.0()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
--> Processing Dependency: libXv.so.1()(64bit) for package: gstreamer-plugins-base-0.10.29-2.el6.x86_64
---> Package jpackage-utils.noarch 0:1.7.5-3.12.el6 will be installed
---> Package libXxf86vm.x86_64 0:1.1.2-2.el6 will be installed
---> Package libmng.x86_64 0:1.0.10-4.1.el6 will be installed
---> Package mesa-dri-drivers.x86_64 0:9.2-0.5.el6_5.2 will be installed
--> Processing Dependency: mesa-dri1-drivers >= 7.11-6 for package: mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64
--> Processing Dependency: mesa-dri-filesystem(x86-64) for package: mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64
--> Processing Dependency: libLLVM-3.3-mesa.so(libLLVM-3.3-mesa.so)(64bit) for package: mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64
--> Processing Dependency: libLLVM-3.3-mesa.so()(64bit) for package: mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64
---> Package ncurses-devel.x86_64 0:5.7-3.20090208.el6 will be installed
---> Package netpbm.x86_64 0:10.47.05-11.el6 will be installed
---> Package openjpeg-libs.x86_64 0:1.3-10.el6_5 will be installed
---> Package phonon-backend-gstreamer.x86_64 1:4.6.2-28.el6_5 will be installed
---> Package poppler.x86_64 0:0.12.4-3.el6_0.1 will be installed
--> Processing Dependency: poppler-data >= 0.4.0 for package: poppler-0.12.4-3.el6_0.1.x86_64
---> Package qt-sqlite.x86_64 1:4.6.2-28.el6_5 will be installed
---> Package sinjdoc.x86_64 0:0.5-9.1.el6 will be installed
--> Processing Dependency: java_cup >= 0.10 for package: sinjdoc-0.5-9.1.el6.x86_64
---> Package xml-common.noarch 0:0.6.3-32.el6 will be installed
--> Running transaction check
---> Package cdparanoia-libs.x86_64 0:10.2-5.1.el6 will be installed
---> Package gstreamer-tools.x86_64 0:0.10.29-1.el6 will be installed
---> Package iso-codes.noarch 0:3.16-2.el6 will be installed
---> Package java_cup.x86_64 1:0.10k-5.el6 will be installed
---> Package libXv.x86_64 0:1.0.7-2.el6 will be installed
---> Package libgudev1.x86_64 0:147-2.51.el6 will be installed
---> Package libogg.x86_64 2:1.1.4-2.1.el6 will be installed
---> Package liboil.x86_64 0:0.3.16-4.1.el6 will be installed
---> Package libtheora.x86_64 1:1.1.0-2.el6 will be installed
---> Package libvisual.x86_64 0:0.4.0-9.1.el6 will be installed
---> Package libvorbis.x86_64 1:1.2.3-4.el6_2.1 will be installed
---> Package mesa-dri-filesystem.x86_64 0:9.2-0.5.el6_5.2 will be installed
---> Package mesa-dri1-drivers.x86_64 0:7.11-8.el6 will be installed
---> Package mesa-private-llvm.x86_64 0:3.3-0.3.rc3.el6 will be installed
---> Package poppler-data.noarch 0:0.4.0-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================
Package Arch Version Repository Size
===============================================================================================================================
Installing:
graphviz x86_64 2.38.0-1.el6 graphviz-stable 2.2 M
graphviz-devel x86_64 2.38.0-1.el6 graphviz-stable 67 k
graphviz-doc noarch 2.38.0-1.el6 graphviz-stable 3.5 M
graphviz-gd x86_64 2.38.0-1.el6 graphviz-stable 6.6 k
graphviz-graphs noarch 2.38.0-1.el6 graphviz-stable 3.9 M
graphviz-lang-guile x86_64 2.38.0-1.el6 graphviz-stable 22 k
graphviz-lang-java x86_64 2.38.0-1.el6 graphviz-stable 24 k
graphviz-lang-lua x86_64 2.38.0-1.el6 graphviz-stable 30 k
graphviz-lang-ocaml x86_64 2.38.0-1.el6 graphviz-stable 34 k
graphviz-lang-perl x86_64 2.38.0-1.el6 graphviz-stable 41 k
graphviz-lang-php x86_64 2.38.0-1.el6 graphviz-stable 28 k
graphviz-lang-python x86_64 2.38.0-1.el6 graphviz-stable 34 k
graphviz-lang-ruby x86_64 2.38.0-1.el6 graphviz-stable 26 k
graphviz-lang-tcl x86_64 2.38.0-1.el6 graphviz-stable 794 k
graphviz-libs x86_64 2.38.0-1.el6 graphviz-stable 444 k
graphviz-plugins-core x86_64 2.38.0-1.el6 graphviz-stable 397 k
graphviz-plugins-gd x86_64 2.38.0-1.el6 graphviz-stable 20 k
graphviz-plugins-x x86_64 2.38.0-1.el6 graphviz-stable 38 k
graphviz-qt x86_64 2.38.0-1.el6 graphviz-stable 96 k
graphviz-x x86_64 2.38.0-1.el6 graphviz-stable 518 k
Installing for dependencies:
ann-libs x86_64 1.1.1-4.el6 epel 36 k
cdparanoia-libs x86_64 10.2-5.1.el6 base 47 k
compat-readline5 x86_64 5.2-17.1.el6 base 130 k
freeglut x86_64 2.6.0-1.el6 base 171 k
gd x86_64 2.0.35-11.el6 base 142 k
gdbm-devel x86_64 1.8.0-36.el6 base 25 k
gstreamer x86_64 0.10.29-1.el6 base 764 k
gstreamer-plugins-base x86_64 0.10.29-2.el6 base 940 k
gstreamer-tools x86_64 0.10.29-1.el6 base 23 k
gtkglext-libs x86_64 1.2.0-11.el6 base 107 k
gts x86_64 0.7.6-19.20111025.el6 epel 203 k
guile x86_64 5:1.8.7-5.el6 base 1.3 M
iso-codes noarch 3.16-2.el6 base 2.4 M
java-1.5.0-gcj x86_64 1.5.0.0-29.1.el6 base 139 k
java_cup x86_64 1:0.10k-5.el6 base 197 k
jpackage-utils noarch 1.7.5-3.12.el6 base 59 k
libXaw x86_64 1.0.11-2.el6 base 178 k
libXmu x86_64 1.1.1-2.el6 base 66 k
libXv x86_64 1.0.7-2.el6 base 24 k
libXxf86vm x86_64 1.1.2-2.el6 base 22 k
libglade2 x86_64 2.6.4-3.1.el6 base 60 k
libgudev1 x86_64 147-2.51.el6 base 61 k
libmng x86_64 1.0.10-4.1.el6 base 165 k
libogg x86_64 2:1.1.4-2.1.el6 base 21 k
liboil x86_64 0.3.16-4.1.el6 base 121 k
libtheora x86_64 1:1.1.0-2.el6 base 129 k
libvisual x86_64 0.4.0-9.1.el6 base 135 k
libvorbis x86_64 1:1.2.3-4.el6_2.1 base 168 k
mesa-dri-drivers x86_64 9.2-0.5.el6_5.2 updates 6.1 M
mesa-dri-filesystem x86_64 9.2-0.5.el6_5.2 updates 15 k
mesa-dri1-drivers x86_64 7.11-8.el6 base 3.8 M
mesa-libGL x86_64 9.2-0.5.el6_5.2 updates 110 k
mesa-libGLU x86_64 9.2-0.5.el6_5.2 updates 196 k
mesa-private-llvm x86_64 3.3-0.3.rc3.el6 base 5.3 M
ncurses-devel x86_64 5.7-3.20090208.el6 base 642 k
netpbm x86_64 10.47.05-11.el6 base 802 k
ocaml x86_64 3.11.2-2.el6 base 5.2 M
ocaml-runtime x86_64 3.11.2-2.el6 base 1.3 M
openjpeg-libs x86_64 1.3-10.el6_5 updates 60 k
phonon-backend-gstreamer x86_64 1:4.6.2-28.el6_5 updates 127 k
poppler x86_64 0.12.4-3.el6_0.1 base 557 k
poppler-data noarch 0.4.0-1.el6 base 2.2 M
poppler-glib x86_64 0.12.4-3.el6_0.1 base 73 k
qt x86_64 1:4.6.2-28.el6_5 updates 3.9 M
qt-sqlite x86_64 1:4.6.2-28.el6_5 updates 51 k
qt-x11 x86_64 1:4.6.2-28.el6_5 updates 12 M
ruby x86_64 1.8.7.352-13.el6 updates 534 k
ruby-libs x86_64 1.8.7.352-13.el6 updates 1.6 M
sinjdoc x86_64 0.5-9.1.el6 base 705 k
tcl x86_64 1:8.5.7-6.el6 base 1.9 M
tk x86_64 1:8.5.7-5.el6 base 1.4 M
xml-common noarch 0.6.3-32.el6 base 9.5 k

Transaction Summary
===============================================================================================================================
Install 72 Package(s)

Total download size: 69 M
Installed size: 276 M
Is this ok [y/N]: y
Downloading Packages:
(1/72): ann-libs-1.1.1-4.el6.x86_64.rpm | 36 kB 00:00
(2/72): cdparanoia-libs-10.2-5.1.el6.x86_64.rpm | 47 kB 00:00
(3/72): compat-readline5-5.2-17.1.el6.x86_64.rpm | 130 kB 00:00
(4/72): freeglut-2.6.0-1.el6.x86_64.rpm | 171 kB 00:00
(5/72): gd-2.0.35-11.el6.x86_64.rpm | 142 kB 00:00
(6/72): gdbm-devel-1.8.0-36.el6.x86_64.rpm | 25 kB 00:00
(7/72): graphviz-2.38.0-1.el6.x86_64.rpm | 2.2 MB 00:07
(8/72): graphviz-devel-2.38.0-1.el6.x86_64.rpm | 67 kB 00:00
(9/72): graphviz-doc-2.38.0-1.el6.noarch.rpm | 3.5 MB 00:13
(10/72): graphviz-gd-2.38.0-1.el6.x86_64.rpm | 6.6 kB 00:00
(11/72): graphviz-graphs-2.38.0-1.el6.noarch.rpm | 3.9 MB 00:13
(12/72): graphviz-lang-guile-2.38.0-1.el6.x86_64.rpm | 22 kB 00:00
(13/72): graphviz-lang-java-2.38.0-1.el6.x86_64.rpm | 24 kB 00:00
(14/72): graphviz-lang-lua-2.38.0-1.el6.x86_64.rpm | 30 kB 00:00
(15/72): graphviz-lang-ocaml-2.38.0-1.el6.x86_64.rpm | 34 kB 00:00
(16/72): graphviz-lang-perl-2.38.0-1.el6.x86_64.rpm | 41 kB 00:00
(17/72): graphviz-lang-php-2.38.0-1.el6.x86_64.rpm | 28 kB 00:00
(18/72): graphviz-lang-python-2.38.0-1.el6.x86_64.rpm | 34 kB 00:00
(19/72): graphviz-lang-ruby-2.38.0-1.el6.x86_64.rpm | 26 kB 00:00
(20/72): graphviz-lang-tcl-2.38.0-1.el6.x86_64.rpm | 794 kB 00:03
(21/72): graphviz-libs-2.38.0-1.el6.x86_64.rpm | 444 kB 00:02
(22/72): graphviz-plugins-core-2.38.0-1.el6.x86_64.rpm | 397 kB 00:02
(23/72): graphviz-plugins-gd-2.38.0-1.el6.x86_64.rpm | 20 kB 00:00
(24/72): graphviz-plugins-x-2.38.0-1.el6.x86_64.rpm | 38 kB 00:00
(25/72): graphviz-qt-2.38.0-1.el6.x86_64.rpm | 96 kB 00:01
(26/72): graphviz-x-2.38.0-1.el6.x86_64.rpm | 518 kB 00:02
(27/72): gstreamer-0.10.29-1.el6.x86_64.rpm | 764 kB 00:00
(28/72): gstreamer-plugins-base-0.10.29-2.el6.x86_64.rpm | 940 kB 00:00
(29/72): gstreamer-tools-0.10.29-1.el6.x86_64.rpm | 23 kB 00:00
(30/72): gtkglext-libs-1.2.0-11.el6.x86_64.rpm | 107 kB 00:00
(31/72): gts-0.7.6-19.20111025.el6.x86_64.rpm | 203 kB 00:00
(32/72): guile-1.8.7-5.el6.x86_64.rpm | 1.3 MB 00:00
(33/72): iso-codes-3.16-2.el6.noarch.rpm | 2.4 MB 00:00
(34/72): java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64.rpm | 139 kB 00:00
(35/72): java_cup-0.10k-5.el6.x86_64.rpm | 197 kB 00:00
(36/72): jpackage-utils-1.7.5-3.12.el6.noarch.rpm | 59 kB 00:00
(37/72): libXaw-1.0.11-2.el6.x86_64.rpm | 178 kB 00:00
(38/72): libXmu-1.1.1-2.el6.x86_64.rpm | 66 kB 00:00
(39/72): libXv-1.0.7-2.el6.x86_64.rpm | 24 kB 00:00
(40/72): libXxf86vm-1.1.2-2.el6.x86_64.rpm | 22 kB 00:00
(41/72): libglade2-2.6.4-3.1.el6.x86_64.rpm | 60 kB 00:00
(42/72): libgudev1-147-2.51.el6.x86_64.rpm | 61 kB 00:00
(43/72): libmng-1.0.10-4.1.el6.x86_64.rpm | 165 kB 00:00
(44/72): libogg-1.1.4-2.1.el6.x86_64.rpm | 21 kB 00:00
(45/72): liboil-0.3.16-4.1.el6.x86_64.rpm | 121 kB 00:00
(46/72): libtheora-1.1.0-2.el6.x86_64.rpm | 129 kB 00:00
(47/72): libvisual-0.4.0-9.1.el6.x86_64.rpm | 135 kB 00:00
(48/72): libvorbis-1.2.3-4.el6_2.1.x86_64.rpm | 168 kB 00:00
(49/72): mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64.rpm | 6.1 MB 00:00
(50/72): mesa-dri-filesystem-9.2-0.5.el6_5.2.x86_64.rpm | 15 kB 00:00
(51/72): mesa-dri1-drivers-7.11-8.el6.x86_64.rpm | 3.8 MB 00:00
(52/72): mesa-libGL-9.2-0.5.el6_5.2.x86_64.rpm | 110 kB 00:00
(53/72): mesa-libGLU-9.2-0.5.el6_5.2.x86_64.rpm | 196 kB 00:00
(54/72): mesa-private-llvm-3.3-0.3.rc3.el6.x86_64.rpm | 5.3 MB 00:00
(55/72): ncurses-devel-5.7-3.20090208.el6.x86_64.rpm | 642 kB 00:00
(56/72): netpbm-10.47.05-11.el6.x86_64.rpm | 802 kB 00:00
(57/72): ocaml-3.11.2-2.el6.x86_64.rpm | 5.2 MB 00:00
(58/72): ocaml-runtime-3.11.2-2.el6.x86_64.rpm | 1.3 MB 00:00
(59/72): openjpeg-libs-1.3-10.el6_5.x86_64.rpm | 60 kB 00:00
(60/72): phonon-backend-gstreamer-4.6.2-28.el6_5.x86_64.rpm | 127 kB 00:00
(61/72): poppler-0.12.4-3.el6_0.1.x86_64.rpm | 557 kB 00:00
(62/72): poppler-data-0.4.0-1.el6.noarch.rpm | 2.2 MB 00:00
(63/72): poppler-glib-0.12.4-3.el6_0.1.x86_64.rpm | 73 kB 00:00
(64/72): qt-4.6.2-28.el6_5.x86_64.rpm | 3.9 MB 00:00
(65/72): qt-sqlite-4.6.2-28.el6_5.x86_64.rpm | 51 kB 00:00
(66/72): qt-x11-4.6.2-28.el6_5.x86_64.rpm | 12 MB 00:01
(67/72): ruby-1.8.7.352-13.el6.x86_64.rpm | 534 kB 00:00
(68/72): ruby-libs-1.8.7.352-13.el6.x86_64.rpm | 1.6 MB 00:00
(69/72): sinjdoc-0.5-9.1.el6.x86_64.rpm | 705 kB 00:00
(70/72): tcl-8.5.7-6.el6.x86_64.rpm | 1.9 MB 00:00
(71/72): tk-8.5.7-5.el6.x86_64.rpm | 1.4 MB 00:00
(72/72): xml-common-0.6.3-32.el6.noarch.rpm | 9.5 kB 00:00
-------------------------------------------------------------------------------------------------------------------------------
Total 1.0 MB/s | 69 MB 01:06
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : graphviz-libs-2.38.0-1.el6.x86_64 1/72
Installing : 1:qt-4.6.2-28.el6_5.x86_64 2/72
Installing : libXmu-1.1.1-2.el6.x86_64 3/72
Installing : 2:libogg-1.1.4-2.1.el6.x86_64 4/72
Installing : gd-2.0.35-11.el6.x86_64 5/72
Installing : xml-common-0.6.3-32.el6.noarch 6/72
Installing : ocaml-runtime-3.11.2-2.el6.x86_64 7/72
Installing : openjpeg-libs-1.3-10.el6_5.x86_64 8/72
Installing : libXxf86vm-1.1.2-2.el6.x86_64 9/72
Installing : mesa-dri-filesystem-9.2-0.5.el6_5.2.x86_64 10/72
Installing : 1:tcl-8.5.7-6.el6.x86_64 11/72
Installing : 1:tk-8.5.7-5.el6.x86_64 12/72
Installing : libglade2-2.6.4-3.1.el6.x86_64 13/72
Installing : iso-codes-3.16-2.el6.noarch 14/72
Installing : 1:libvorbis-1.2.3-4.el6_2.1.x86_64 15/72
Installing : 1:libtheora-1.1.0-2.el6.x86_64 16/72
Installing : libXaw-1.0.11-2.el6.x86_64 17/72
Installing : 1:qt-sqlite-4.6.2-28.el6_5.x86_64 18/72
Installing : libXv-1.0.7-2.el6.x86_64 19/72
Installing : gstreamer-tools-0.10.29-1.el6.x86_64 20/72
Installing : gstreamer-0.10.29-1.el6.x86_64 21/72
Installing : libmng-1.0.10-4.1.el6.x86_64 22/72
Installing : 5:guile-1.8.7-5.el6.x86_64 23/72
Installing : cdparanoia-libs-10.2-5.1.el6.x86_64 24/72
Installing : jpackage-utils-1.7.5-3.12.el6.noarch 25/72
Installing : java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64 26/72
Installing : 1:java_cup-0.10k-5.el6.x86_64 27/72
Installing : sinjdoc-0.5-9.1.el6.x86_64 28/72
Installing : netpbm-10.47.05-11.el6.x86_64 29/72
Installing : gts-0.7.6-19.20111025.el6.x86_64 30/72
Installing : gdbm-devel-1.8.0-36.el6.x86_64 31/72
Installing : compat-readline5-5.2-17.1.el6.x86_64 32/72
Installing : ruby-libs-1.8.7.352-13.el6.x86_64 33/72
Installing : ruby-1.8.7.352-13.el6.x86_64 34/72
Installing : poppler-data-0.4.0-1.el6.noarch 35/72
Installing : poppler-0.12.4-3.el6_0.1.x86_64 36/72
Installing : poppler-glib-0.12.4-3.el6_0.1.x86_64 37/72
Installing : ncurses-devel-5.7-3.20090208.el6.x86_64 38/72
Installing : ocaml-3.11.2-2.el6.x86_64 39/72
Installing : libvisual-0.4.0-9.1.el6.x86_64 40/72
Installing : ann-libs-1.1.1-4.el6.x86_64 41/72
Installing : graphviz-2.38.0-1.el6.x86_64 42/72
Installing : graphviz-plugins-core-2.38.0-1.el6.x86_64 43/72
Installing : graphviz-plugins-gd-2.38.0-1.el6.x86_64 44/72
Installing : graphviz-plugins-x-2.38.0-1.el6.x86_64 45/72
Installing : mesa-private-llvm-3.3-0.3.rc3.el6.x86_64 46/72
Installing : mesa-dri1-drivers-7.11-8.el6.x86_64 47/72
Installing : mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64 48/72
Installing : mesa-libGL-9.2-0.5.el6_5.2.x86_64 49/72
Installing : mesa-libGLU-9.2-0.5.el6_5.2.x86_64 50/72
Installing : gtkglext-libs-1.2.0-11.el6.x86_64 51/72
Installing : freeglut-2.6.0-1.el6.x86_64 52/72
Installing : graphviz-x-2.38.0-1.el6.x86_64 53/72
Installing : libgudev1-147-2.51.el6.x86_64 54/72
Installing : liboil-0.3.16-4.1.el6.x86_64 55/72
Installing : gstreamer-plugins-base-0.10.29-2.el6.x86_64 56/72
Installing : 1:qt-x11-4.6.2-28.el6_5.x86_64 57/72
Installing : 1:phonon-backend-gstreamer-4.6.2-28.el6_5.x86_64 58/72
Installing : graphviz-qt-2.38.0-1.el6.x86_64 59/72
Installing : graphviz-gd-2.38.0-1.el6.x86_64 60/72
Installing : graphviz-lang-tcl-2.38.0-1.el6.x86_64 61/72
Installing : graphviz-lang-python-2.38.0-1.el6.x86_64 62/72
Installing : graphviz-lang-guile-2.38.0-1.el6.x86_64 63/72
Installing : graphviz-lang-ruby-2.38.0-1.el6.x86_64 64/72
Installing : graphviz-lang-perl-2.38.0-1.el6.x86_64 65/72
Installing : graphviz-lang-ocaml-2.38.0-1.el6.x86_64 66/72
Installing : graphviz-lang-java-2.38.0-1.el6.x86_64 67/72
Installing : graphviz-lang-php-2.38.0-1.el6.x86_64 68/72
Installing : graphviz-lang-lua-2.38.0-1.el6.x86_64 69/72
Installing : graphviz-devel-2.38.0-1.el6.x86_64 70/72
Installing : graphviz-doc-2.38.0-1.el6.noarch 71/72
Installing : graphviz-graphs-2.38.0-1.el6.noarch 72/72
Verifying : liboil-0.3.16-4.1.el6.x86_64 1/72
Verifying : sinjdoc-0.5-9.1.el6.x86_64 2/72
Verifying : graphviz-qt-2.38.0-1.el6.x86_64 3/72
Verifying : poppler-glib-0.12.4-3.el6_0.1.x86_64 4/72
Verifying : libgudev1-147-2.51.el6.x86_64 5/72
Verifying : gts-0.7.6-19.20111025.el6.x86_64 6/72
Verifying : ruby-libs-1.8.7.352-13.el6.x86_64 7/72
Verifying : graphviz-plugins-gd-2.38.0-1.el6.x86_64 8/72
Verifying : libglade2-2.6.4-3.1.el6.x86_64 9/72
Verifying : 1:libvorbis-1.2.3-4.el6_2.1.x86_64 10/72
Verifying : 1:java_cup-0.10k-5.el6.x86_64 11/72
Verifying : graphviz-lang-tcl-2.38.0-1.el6.x86_64 12/72
Verifying : 1:tcl-8.5.7-6.el6.x86_64 13/72
Verifying : graphviz-lang-python-2.38.0-1.el6.x86_64 14/72
Verifying : 1:libtheora-1.1.0-2.el6.x86_64 15/72
Verifying : mesa-dri-filesystem-9.2-0.5.el6_5.2.x86_64 16/72
Verifying : mesa-dri1-drivers-7.11-8.el6.x86_64 17/72
Verifying : 1:qt-x11-4.6.2-28.el6_5.x86_64 18/72
Verifying : gd-2.0.35-11.el6.x86_64 19/72
Verifying : mesa-private-llvm-3.3-0.3.rc3.el6.x86_64 20/72
Verifying : ann-libs-1.1.1-4.el6.x86_64 21/72
Verifying : 1:qt-sqlite-4.6.2-28.el6_5.x86_64 22/72
Verifying : libXxf86vm-1.1.2-2.el6.x86_64 23/72
Verifying : libvisual-0.4.0-9.1.el6.x86_64 24/72
Verifying : ncurses-devel-5.7-3.20090208.el6.x86_64 25/72
Verifying : poppler-data-0.4.0-1.el6.noarch 26/72
Verifying : compat-readline5-5.2-17.1.el6.x86_64 27/72
Verifying : poppler-0.12.4-3.el6_0.1.x86_64 28/72
Verifying : freeglut-2.6.0-1.el6.x86_64 29/72
Verifying : mesa-dri-drivers-9.2-0.5.el6_5.2.x86_64 30/72
Verifying : graphviz-lang-guile-2.38.0-1.el6.x86_64 31/72
Verifying : graphviz-x-2.38.0-1.el6.x86_64 32/72
Verifying : 2:libogg-1.1.4-2.1.el6.x86_64 33/72
Verifying : graphviz-2.38.0-1.el6.x86_64 34/72
Verifying : mesa-libGLU-9.2-0.5.el6_5.2.x86_64 35/72
Verifying : graphviz-devel-2.38.0-1.el6.x86_64 36/72
Verifying : graphviz-lang-ruby-2.38.0-1.el6.x86_64 37/72
Verifying : java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64 38/72
Verifying : gdbm-devel-1.8.0-36.el6.x86_64 39/72
Verifying : iso-codes-3.16-2.el6.noarch 40/72
Verifying : graphviz-lang-perl-2.38.0-1.el6.x86_64 41/72
Verifying : openjpeg-libs-1.3-10.el6_5.x86_64 42/72
Verifying : graphviz-libs-2.38.0-1.el6.x86_64 43/72
Verifying : libXmu-1.1.1-2.el6.x86_64 44/72
Verifying : gtkglext-libs-1.2.0-11.el6.x86_64 45/72
Verifying : netpbm-10.47.05-11.el6.x86_64 46/72
Verifying : ocaml-3.11.2-2.el6.x86_64 47/72
Verifying : jpackage-utils-1.7.5-3.12.el6.noarch 48/72
Verifying : graphviz-lang-ocaml-2.38.0-1.el6.x86_64 49/72
Verifying : ocaml-runtime-3.11.2-2.el6.x86_64 50/72
Verifying : cdparanoia-libs-10.2-5.1.el6.x86_64 51/72
Verifying : 5:guile-1.8.7-5.el6.x86_64 52/72
Verifying : xml-common-0.6.3-32.el6.noarch 53/72
Verifying : libXaw-1.0.11-2.el6.x86_64 54/72
Verifying : graphviz-lang-java-2.38.0-1.el6.x86_64 55/72
Verifying : gstreamer-0.10.29-1.el6.x86_64 56/72
Verifying : graphviz-plugins-x-2.38.0-1.el6.x86_64 57/72
Verifying : libmng-1.0.10-4.1.el6.x86_64 58/72
Verifying : graphviz-lang-php-2.38.0-1.el6.x86_64 59/72
Verifying : ruby-1.8.7.352-13.el6.x86_64 60/72
Verifying : graphviz-graphs-2.38.0-1.el6.noarch 61/72
Verifying : graphviz-doc-2.38.0-1.el6.noarch 62/72
Verifying : 1:phonon-backend-gstreamer-4.6.2-28.el6_5.x86_64 63/72
Verifying : graphviz-lang-lua-2.38.0-1.el6.x86_64 64/72
Verifying : gstreamer-tools-0.10.29-1.el6.x86_64 65/72
Verifying : mesa-libGL-9.2-0.5.el6_5.2.x86_64 66/72
Verifying : 1:tk-8.5.7-5.el6.x86_64 67/72
Verifying : 1:qt-4.6.2-28.el6_5.x86_64 68/72
Verifying : graphviz-plugins-core-2.38.0-1.el6.x86_64 69/72
Verifying : gstreamer-plugins-base-0.10.29-2.el6.x86_64 70/72
Verifying : libXv-1.0.7-2.el6.x86_64 71/72
Verifying : graphviz-gd-2.38.0-1.el6.x86_64 72/72

Installed:
graphviz.x86_64 0:2.38.0-1.el6 graphviz-devel.x86_64 0:2.38.0-1.el6
graphviz-doc.noarch 0:2.38.0-1.el6 graphviz-gd.x86_64 0:2.38.0-1.el6
graphviz-graphs.noarch 0:2.38.0-1.el6 graphviz-lang-guile.x86_64 0:2.38.0-1.el6
graphviz-lang-java.x86_64 0:2.38.0-1.el6 graphviz-lang-lua.x86_64 0:2.38.0-1.el6
graphviz-lang-ocaml.x86_64 0:2.38.0-1.el6 graphviz-lang-perl.x86_64 0:2.38.0-1.el6
graphviz-lang-php.x86_64 0:2.38.0-1.el6 graphviz-lang-python.x86_64 0:2.38.0-1.el6
graphviz-lang-ruby.x86_64 0:2.38.0-1.el6 graphviz-lang-tcl.x86_64 0:2.38.0-1.el6
graphviz-libs.x86_64 0:2.38.0-1.el6 graphviz-plugins-core.x86_64 0:2.38.0-1.el6
graphviz-plugins-gd.x86_64 0:2.38.0-1.el6 graphviz-plugins-x.x86_64 0:2.38.0-1.el6
graphviz-qt.x86_64 0:2.38.0-1.el6 graphviz-x.x86_64 0:2.38.0-1.el6

Dependency Installed:
ann-libs.x86_64 0:1.1.1-4.el6 cdparanoia-libs.x86_64 0:10.2-5.1.el6
compat-readline5.x86_64 0:5.2-17.1.el6 freeglut.x86_64 0:2.6.0-1.el6
gd.x86_64 0:2.0.35-11.el6 gdbm-devel.x86_64 0:1.8.0-36.el6
gstreamer.x86_64 0:0.10.29-1.el6 gstreamer-plugins-base.x86_64 0:0.10.29-2.el6
gstreamer-tools.x86_64 0:0.10.29-1.el6 gtkglext-libs.x86_64 0:1.2.0-11.el6
gts.x86_64 0:0.7.6-19.20111025.el6 guile.x86_64 5:1.8.7-5.el6
iso-codes.noarch 0:3.16-2.el6 java-1.5.0-gcj.x86_64 0:1.5.0.0-29.1.el6
java_cup.x86_64 1:0.10k-5.el6 jpackage-utils.noarch 0:1.7.5-3.12.el6
libXaw.x86_64 0:1.0.11-2.el6 libXmu.x86_64 0:1.1.1-2.el6
libXv.x86_64 0:1.0.7-2.el6 libXxf86vm.x86_64 0:1.1.2-2.el6
libglade2.x86_64 0:2.6.4-3.1.el6 libgudev1.x86_64 0:147-2.51.el6
libmng.x86_64 0:1.0.10-4.1.el6 libogg.x86_64 2:1.1.4-2.1.el6
liboil.x86_64 0:0.3.16-4.1.el6 libtheora.x86_64 1:1.1.0-2.el6
libvisual.x86_64 0:0.4.0-9.1.el6 libvorbis.x86_64 1:1.2.3-4.el6_2.1
mesa-dri-drivers.x86_64 0:9.2-0.5.el6_5.2 mesa-dri-filesystem.x86_64 0:9.2-0.5.el6_5.2
mesa-dri1-drivers.x86_64 0:7.11-8.el6 mesa-libGL.x86_64 0:9.2-0.5.el6_5.2
mesa-libGLU.x86_64 0:9.2-0.5.el6_5.2 mesa-private-llvm.x86_64 0:3.3-0.3.rc3.el6
ncurses-devel.x86_64 0:5.7-3.20090208.el6 netpbm.x86_64 0:10.47.05-11.el6
ocaml.x86_64 0:3.11.2-2.el6 ocaml-runtime.x86_64 0:3.11.2-2.el6
openjpeg-libs.x86_64 0:1.3-10.el6_5 phonon-backend-gstreamer.x86_64 1:4.6.2-28.el6_5
poppler.x86_64 0:0.12.4-3.el6_0.1 poppler-data.noarch 0:0.4.0-1.el6
poppler-glib.x86_64 0:0.12.4-3.el6_0.1 qt.x86_64 1:4.6.2-28.el6_5
qt-sqlite.x86_64 1:4.6.2-28.el6_5 qt-x11.x86_64 1:4.6.2-28.el6_5
ruby.x86_64 0:1.8.7.352-13.el6 ruby-libs.x86_64 0:1.8.7.352-13.el6
sinjdoc.x86_64 0:0.5-9.1.el6 tcl.x86_64 1:8.5.7-6.el6
tk.x86_64 1:8.5.7-5.el6 xml-common.noarch 0:0.6.3-32.el6

Complete!


Image_GraphViz-1.3.0

 閲覧数:452 投稿日:2014-09-24 更新日:2014-09-24 
Resources | Graphviz - Graph Visualization Software

PHPから操作するには、下記以外ないみたい
Image_GraphViz
$ pear install Image_GraphViz-1.3.0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/gv.so' - /usr/lib64/php/modules/gv.so: undefined symbol: php_body_write in Unknown on line 0
WARNING: configuration download directory "/tmp/pear/download" is not writeable.  Change download_dir config variable to a writeable dir to avoid this warning
WARNING: channel "pear.php.net" has updated its protocols, use "pear channel-update pear.php.net" to update
Cannot install, php_dir for channel "pear.php.net" is not writeable by the current user

$ sudo -s
# pear install Image_GraphViz-1.3.0
WARNING: channel "pear.php.net" has updated its protocols, use "pear channel-update pear.php.net" to update
downloading Image_GraphViz-1.3.0.tgz ...
Starting to download Image_GraphViz-1.3.0.tgz (16,706 bytes)
......done: 16,706 bytes
install ok: channel://pear.php.net/Image_GraphViz-1.3.0


PEARインストール先確認

 閲覧数:355 投稿日:2014-09-25 更新日:2014-09-25 

PEAR


PEAR設定を一覧表示
$ pear config-show
Configuration (channel pear.php.net):
=====================================
Auto-discover new Channels     auto_discover    <not set>
Default Channel                default_channel  pear.php.net
HTTP Proxy Server Address      http_proxy       <not set>
PEAR server [DEPRECATED]       master_server    pear.php.net
Default Channel Mirror         preferred_mirror pear.php.net
Remote Configuration File      remote_config    <not set>
PEAR executables directory     bin_dir          /usr/bin
PEAR documentation directory   doc_dir          /usr/share/pear/doc
PHP extension directory        ext_dir          /usr/lib64/php/modules
PEAR directory                 php_dir          /usr/share/pear
PEAR Installer cache directory cache_dir        /var/cache/php-pear
PEAR configuration file        cfg_dir          /etc/pear
directory
PEAR data directory            data_dir         /usr/share/pear/data
PEAR Installer download        download_dir     /tmp/pear/download
directory
PHP CLI/CGI binary             php_bin          /usr/bin/php
php.ini location               php_ini          <not set>
--program-prefix passed to     php_prefix       <not set>
PHP's ./configure
--program-suffix passed to     php_suffix       <not set>
PHP's ./configure
PEAR Installer temp directory  temp_dir         /var/tmp
PEAR test directory            test_dir         /usr/share/pear/test
PEAR www files directory       www_dir          /var/www/html
Cache TimeToLive               cache_ttl        3600
Preferred Package State        preferred_state  stable
Unix file mask                 umask            22
Debug Log Level                verbose          1
PEAR password (for             password         <not set>
maintainers)
Signature Handling Program     sig_bin          /usr/bin/gpg
Signature Key Directory        sig_keydir       /etc/pearkeys
Signature Key Id               sig_keyid        <not set>
Package Signature Type         sig_type         gpg
PEAR username (for             username         <not set>
maintainers)
User Configuration File        Filename         /home/★★/.pearrc
System Configuration File      Filename         /etc/pear.conf


イントール先
PEAR directory                 php_dir          /usr/share/pear


確認
$ cd /usr/share/pear
$ ls -la
合計 400
drwxr-xr-x   21 root root   4096  9月 24 13:31 2014 .
drwxr-xr-x. 120 root root   4096  9月 23 19:48 2014 ..
drwxr-xr-x    3 root root   4096 12月 26 19:41 2013 .channels
-rw-r--r--    1 root root  10323  9月 24 13:31 2014 .depdb
-rw-r--r--    1 root root      0  9月 24 13:31 2014 .depdblock
-rw-r--r--    1 root root  30451  9月 24 13:31 2014 .filemap
-rw-r--r--    1 root root      0  9月 24 13:31 2014 .lock
drwxr-xr-x    2 root root   4096 12月 26 19:41 2013 .pkgxml
drwxr-xr-x    5 root root   4096  9月 24 13:31 2014 .registry
drwxr-xr-x    2 root root   4096 12月 26 19:41 2013 Archive
drwxr-xr-x    4 root root   4096  2月 10 10:33 2014 Auth
-rw-r--r--    1 root root  39322  2月 10 10:33 2014 Auth.php
drwxr-xr-x    3 root root   4096  1月  9 22:13 2014 Cache
drwxr-xr-x    2 root root   4096 12月 26 19:41 2013 Console
drwxr-xr-x    3 root root   4096  2月 10 10:37 2014 HTML
drwxr-xr-x    3 root root   4096  2月 10 18:28 2014 HTTP
drwxr-xr-x    2 root root   4096  9月 24 13:31 2014 Image
drwxr-xr-x    3 root root   4096 12月 26 21:33 2013 MDB2
-rw-r--r--    1 root root 140275 12月 26 21:33 2013 MDB2.php
drwxr-xr-x    2 root root   4096 12月 26 19:41 2013 OS
drwxr-xr-x   11 root root   4096 12月 26 19:41 2013 PEAR
-rw-r--r--    1 root root  33897 12月  8 08:53 2011 PEAR.php
-rw-r--r--    1 root root   1087 12月  8 08:53 2011 PEAR5.php
drwxr-xr-x    2 root root   4096 12月 27 14:48 2013 Pager
-rw-r--r--    1 root root   9271 12月 27 14:48 2013 Pager.php
drwxr-xr-x    3 root root   4096 12月 26 19:41 2013 Structures
-rw-r--r--    1 root root  20243 12月  8 08:53 2011 System.php
drwxr-xr-x    4 root root   4096  1月 15 20:19 2014 XML
drwxr-xr-x    7 root root   4096  2月 10 10:33 2014 data
drwxr-xr-x   14 root root   4096  3月 27 15:41 2014 doc
-rw-r--r--    1 root root  14430 12月  8 08:53 2011 pearcmd.php
-rw-r--r--    1 root root    928 12月  8 08:53 2011 peclcmd.php
drwxr-xr-x   15 root root   4096  9月 24 13:31 2014 test

$ cd Image/
$ ls -la
合計 40
drwxr-xr-x  2 root root  4096  9月 24 13:31 2014 .
drwxr-xr-x 21 root root  4096  9月 24 13:31 2014 ..
-rw-r--r--  1 root root 29628  9月 24 13:31 2014 GraphViz.php



$PATH


$ echo $PATH
/home/★★/.rvm/gems/ruby-1.9.3-p392/bin:/home/★★/.rvm/gems/ruby-1.9.3-p392@global/bin:/home/★★/.rvm/rubies/ruby-1.9.3-p392/bin:/home/★★/.rvm/bin:/home/★★/.nodebrew/current/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/★★/.rvm/bin:/home/★★/bin

※PHPのインクルードパスとは無関係

Twitter検索結果。「Graphviz」に関する最新ツイート

とっとこハム太郎 @hamchan_pad
Evansman @evansman_Tw
やまも @yamamo



類似度ページランキング
順位 ページタイトル抜粋
1 zip 55
2 vi 40
3 history 40
4 CasperJS 38
5 tar 36
6 vagrant package 35
7 bash 33
8 Github SSH 33
9 head 33
10 Grunt 31
11 rmdir 31
12 paste 31
13 mailx 31
14 Set Group ID 30
15 startx 29
16 poderosa内部エラー 29
17 mkdir 29
18 AllowOverRide 29
19 Grunt入門 27
20 anacron 27
2021/9/24 0:00 更新
週間人気ページランキング / 9-16 → 9-22
順位 ページタイトル抜粋 アクセス数
1 Nginx設定。エラーログレベル | Nginx(Webサーバ) 19
2 PHP実行ユーザ設定 / CentOS6 / Apache | PHP(プログラミング言語) 14
3 PHPのmb_send_mail関数でメール送信できない | メール処理システム 13
4 9回目-13.MySQL5.7.21設定 | CentOS 7 2週間無料のお試し期間 9回目(さくらVPS) 12
5 touch コマンド / viコマンド。新規ファイル作成時の違い | Linuxコマンド 8
6 ソースからビルドしたPython 2.7.3 アンインストール失敗 | Python(プログラミング言語) 7
6 FFmpeg 2.8.15 を yum インストール | ソフトウェアスイート 7
6 「設定ファイルに、暗号化 (blowfish_secret) 用の非公開パスフレーズの設定を必要とするようになりました。」対応 7
6 Python 3.5 アンインストール / yum remove | Python(プログラミング言語) 7
6 manページ日本語表示 | CentOS 7 (CentOS) 7
6 PHPファイルでchmodエラー | PHP(プログラミング言語) 7
7 ABRT により 問題が検出されました | CentOS 7 (CentOS) 6
7 Python 3.6 インストール / make altinstall | Python(プログラミング言語) 6
7 さくらVPS0 6
8 Reached target Shutdown メッセージが表示されたあと、シャットダウンまたは再起動プロセスがハングアップする | CentOS 7 (CentOS) 5
9 PHP Version 7.1.2 php-mecabエクステンション対応 / PHP 7.0.14 からのアップグレード  | MeCab(形態素解析) 4
9 echo と cat の違い 4
9 phpMyAdmin 4.4.3(phpMyAdmin) カテゴリー 4
9 tar: これは tar アーカイブではないようです 4
9 MySQL 5.5 から 5.6 へのアップグレード | MySQL(データベース) 4
2021/9/23 1:01 更新